본문 바로가기

전체보기

(286)
XE Uncaught Error: Class 'Object' not found in XE 를 최신 버전으로 업데이트 하는 과정에서, 또는 php 7 >= 환경에 XE를 서버이전하고자 할때 오류가 발생한다. 제일 간단한 방법은 로그 창을 터미널로 띄워놓고, Object 오류가 발생하는 php 파일들을 찾아가 Object 를 BaseObject 로 수정해주면 된다. 예를 들어, return new Object(); 를 return new BaseObject(); 로 바꿔주면 된다. 또는 extends Object { 로 위에 적혀있을때도 있는데, 이때도 extends BaseObject { 로 수정해주면 된다.
윈도우7 에서 10으로 업그레이드 실패 후 결국 새로 설치 이번주에는 이모께서 오래된 PC 하나를 윈도우 7에서 10으로 업그레이드를 부탁하셔서 작업을 해보았다. 직접 방문이 어려운 상태라 TeamViewer 를 통해 직접 업글을 시도하였는데, 결론을 미리 말하자면 "실패" 했다. 2일동안 고생했던 이야기를 지금 풀어놓을테니, 같은 문제점을 해결하기 위해 검색하시는 분들이 고민말고 바로 깔끔하게 포기하고 넘어가시길 바라는 마음에 글을 적어본다. 윈도우7에서 10에서 "이 PC 업그레이드" 방법을 쓸 수 있는 PC는 클린한 상태의 PC에 가까울 수록 성공확률이 있고, 꽤 오랜 시간 사용한 PC일 수록 "이 PC 업그레이드" 실패 확률이 매우 높게 발생한다. 1. Windows 업데이트를 모두 해주어야..
window.open 새로운 윈도우 창에 post 로 보내기 오늘은 요구사항으로 새 윈도우 창에 post 로 보내달라는 게 있어서 포스팅에 추가해봅니다. Vanilla로 짜도되고 jQuery를 쓰셔도 되는데, 두가지를 모두 소개해볼게요. Vanilla var form = document.createElement('form'); form.setAttribute('target', '_blank'); form.setAttribute('action', '__TARGET_URL__'); form.setAttribute('method', 'post'); var input = document.createElement('input'); input.setAttribute('type', 'hidden'); input.setAttribute('value', '__VALUE__HERE..
[PHP] phpMyAdmin blowfish_secret 경고 해결법 서버에서 제공하고 있는 phpMyAdmin 이 제대로 동작하지 않아, 최신버전으로 업데이트 해주었습니다. 업데이트 후 접속해보니 blowfish_secret에 32 bytes로 작성을 해주어야 하는데, 그렇지 않다 (not correct) 경고가 나오고 있어 수정하였습니다. phpMyAdmin이 설치된 경로에 들어가 config.inc.php를 열어 $cfg['blowfish_secret'] 를 아래 사이트에서 생성하여 붙여 넣으면 경고가 깔끔히 사라집니다. https://www.motorsportdiesel.com/tools/blowfish-salt/pma/ phpMyAdmin Blowfish Secret Generator This tool generates a secure 32 character Bl..
[Edge/Chrome] 인터넷 사이트를 앱(링크)화 하여 사용하기 YouTube나 Twitch 등 자주 접속하는 사이트들은 즐겨찾기를 해두시는 경우가 많으실텐데요. 이번 포스팅에서는 인터넷 앱을 켜고, 즐겨찾기에 있는 사이트를 클릭하여 접속하는게 아닌 바로 접속하는 방법을 알려드립니다. 첫번째, 접속하실 사이트를 먼저 들어 갑니다. YouTube를 예로 들어볼게요. 저는 IE Edge 를 사용하고 있는데요. IE Edge 에서 우측 상단 가로 점 세개 아이콘을 클릭 합니다. 앱 > 이 사이트를 앱으로 설치 를 선택해주세요. 짜잔! 앱이 생성되었습니다. 실행도 잘 됩니다. 이제 인터넷 앱 없이 별개 앱으로 동작 할수 있습니다. 작업표시줄 (또는 Dock) 에도 등록이 가능합니다.
[Ubuntu] python3.7 upgrade 에러 - 의존성이 맞지 않습니다. apt-get upgrade 를 실행하던 와중에 아래와 같은 오류가 발생하며 더이상 upgrade가 진행되지 않았다. 동시에 같이 upgrade 가 수행되던 mysql 서버도 같이 정지되버렸다.. 먼저, 다른 정상적 업그레이드가 가능한 패키지들은 먼저 처리를 해준다. # sudo dpkg --configure -a MySQL 서버가 다시 정상적으로 실행이 되었다. 이제 문제가 발생한 패키지를 복구해준다. apt-get remove 나 purge 를 시도했지만 의존성 문제만 나오며 제거가 되지 않는다. 아래 처럼 시도하여 강제로 패키지를 제거해주었다. 그리고 python3.7를 재설치 해주었다. # sudo dpkg --remove --force-remove-reinstreq python3.7 # sudo..
[Ubuntu] journal log 지우기 & 용량 제한 하기 /var/log 에 용량이 많이 차 있어 확인해보니 /var/log/journal 에 용량이 많이 쌓여있었다.. 아래와 같이 수행하여 용량을 제한하였다. Retain only the past two days: journalctl --vacuum-time=2d Retain only the past 500 MB: journalctl --vacuum-size=500M
우분투 20.04 업그레이드 후 오류 현상 정리 어제 우분투 20.04 를 올린 후 발생한 문제들에 대해서 짚어보기로 한다. 1. mysql 8 로 업그레이드 되면서 일부 config 제거 (cache_* 등이 먹히지 않았다.) 2. mysql strict mode가 켜짐 3. mysql 8에서 password function 이 제거되었고 groups keyword를 사용할수 없음 -> PASSWORD 로 처리된 부분들을 아래와 같이 처리하면 된다. password = CONCAT('*', UPPER(SHA1(UNHEX(SHA1(:password))))) 4. php7.4 에서 Object class를 쓸수없음. "new Object" 또는 "extends Object" 로 된 부분들을 모두 BaseObject 로 바꿔주어야 함 -> 아래 명령어로 ..